<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">

<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form" %>

<html>
<jsp:include page="../fragments/header_database.jsp" />
<body>
	<div class="container">
	<jsp:include page="../fragments/mainmenu.jsp" />
	<spring:url value="/database/remove/go" var="formurl"/>

	<div class="panel panel-default">
		<div class="panel-heading">
			<div style="font-weight:bold;">Delete jobs with the following conditions:</div>
		</div>
		<div class="panel-body">
			<form method="get" action="${fn:escapeXml(formurl)}">
				<!-- remove a particular job -->
				<p>
					<input type="checkbox" name="byId" onclick="show(this, 'id');" /> Job with the job Id
					<div id='id' style="visibility:hidden;">Job Id: <input type="text" name="id" value="${samplejobid}" /></div>
					<input type="hidden" name="byId" value="off" />
				</p>

				<!-- remove jobs executed on the dates: -->
				<p>
					<input type="checkbox" name="byDate" onclick="show(this, 'date');" /> Jobs for the period
					<div id='date' style="visibility:hidden;">
					From <input type="text" name="date1" value = "${date1}" style=" width : 145px;" />
					to <input type="text" name="date2" value = "${date2}" /></div>
					<input type="hidden" name="byDate" value="off" />
				</p>

				<!-- remove jobs executed from particular IP: -->
				<p>
					<input type="checkbox" name="byIp" onclick="show(this, 'ip');" /> Jobs executed from the IP
					<div id='ip' style="visibility:hidden;">IP: <input type="text" name="ip" value = '${sampleip}'/></div>
					<input type="hidden" name="byIp" value="off" />
				</p>
				
				<!-- remove jobs with a particular protein subsiquence: -->
				<p>
					<input type="checkbox" name="bySequence"  onclick="show(this, 'seq');"> Jobs with the protein subsequence
					<div id='seq' style="visibility:hidden;"> Sequence: <input type="text" name="seq" value = "${sampleseq}"/></div>
					<input type="hidden" name="bySequence" value="off" />
				</p>
				
				<p><input type="submit" name="Delete" value="Delete"/></p>
			</form>
		</div>
	</div>

	<jsp:include page="../fragments/footer.jsp"/>
	</div>
</body>
</html>